#!/bin/sh
# -*-Scheme-*-
#
# Copyright (C) 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015,
#     2016, 2017, 2018, 2019 Matthew Birkholz
#
# This file is part of a GLib plugin for MIT/GNU Scheme Pucked.
#
# This plugin is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This plugin is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this plugin; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
# 02110-1301, USA.

# Test the GLib option: list the current directory.
#
# List the current directory using GIO and directory-read, and compare
# the results.

set -e
: ${MIT_SCHEME_EXE=mit-scheme}
${MIT_SCHEME_EXE} --prepend-library . <<\EOF
(begin
  (load-option 'glib)
  (load "glib-tests")
  (let ((native (sort (ls "./") string<?))
	(gio (sort (gls "./") string<?)))
    (if (or (null? gio)
	    (null? native)
	    (not (equal? native gio)))
	(error "gio list failed")))
  (assert-clean-ffi "gio list")
  )
EOF
